# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    print("installing %s" % control.asrequirement())

    current_version = control["version"].split("-", 1)[0]
    short_version = current_version.split(".", 2)[0] + "." + current_version.split(".", 2)[1]

    oldskype = installed_softwares("skype")
    for soft in oldskype:
        if Version(soft["version"]) < Version(short_version):
            print("remove : %s " % soft["name"])
            run_notfatal(uninstall_cmd(soft["key"]))
    print("installing Skype %s" % current_version)
    # hack... several properies with same key TRANSFORMS

    # Getting the used storage on programfiles before installation (place it on the top)
    diskfreespacebefore = get_disk_free_space(programfiles)

    install_exe_if_needed("Skype-%s.exe" % current_version, key="Skype_is1", min_version=short_version)
    remove_desktop_shortcut("Skype")
    killalltasks(control["impacted_process"])

    # Return used storage of the installation. (place it on the bottom)
    diskfreespaceafter = get_disk_free_space(programfiles)
    difffreespace = diskfreespacebefore - diskfreespaceafter
    print("Storage used: " + str(difffreespace))
